libsigc++: sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil > Struct Template Reference

libsigc++ 2.12.1

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil > Struct Template Reference
Adaptors » bind(), bind_return()

Adaptor that binds an argument to the wrapped functor. More...

`#include <sigc++/adaptors/bind.h>`

Inheritance diagram for sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >:
[legend]

## Public Types
typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type
Public Types inherited from sigc::adapts< T_functor >
typedef adaptor_trait< T_functor >::adaptor_type | adaptor_type
typedef adaptor_trait< T_functor >::result_type | result_type

## Public Member Functions
| bind_functor (type_trait_take_t< T_functor > _A_func, type_trait_take_t< T_bound > _A_bound)
| Constructs a bind_functor object that binds an argument to the passed functor.
result_type | operator() ()
| Invokes the wrapped functor passing on the bound argument only.
template<class T_arg1>
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_arg1)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1, class T_arg2>
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6)
| Invokes the wrapped functor passing on the arguments.
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor & _A_functor)
| Constructs an adaptor that wraps the passed functor.

## Public Attributes
bound_argument< T_bound > | bound_
| The argument bound to the functor.
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()().

## Detailed Description

template <class T_functor, class T_bound>
struct sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >

Adaptor that binds an argument to the wrapped functor.

This template specialization fixes the 1st argument of the wrapped functor.

## Member Typedef Documentation

## ◆ adaptor_type

template <class T_functor, class T_bound>

typedef adapts<T_functor>::adaptor_type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::adaptor_type

## ◆ result_type

template <class T_functor, class T_bound>

typedef adaptor_type::result_type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::result_type

## Constructor & Destructor Documentation

## ◆ bind_functor()

template <class T_functor, class T_bound>

sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::bind_functor | ( | type_trait_take_t< T_functor > | _A_func,
|  | type_trait_take_t< T_bound > | _A_bound )
| inline

Constructs a bind_functor object that binds an argument to the passed functor.

Parameters

  _A_func | Functor to invoke from operator()().
  _A_bound | Argument to bind to the functor.

## Member Function Documentation

## ◆ operator()() [1/7]

template <class T_functor, class T_bound>

result_type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::operator() | ( |  | ) |
| inline

Invokes the wrapped functor passing on the bound argument only.

Returns
  The return value of the functor invocation.

## ◆ operator()() [2/7]

template <class T_functor, class T_bound>
template <class T_arg1>

deduce_result_type< T_arg1 >::type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1 | ) |
| inline

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 1st argument.

Parameters

  _A_arg1 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

## ◆ operator()() [3/7]

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2>

deduce_result_type< T_arg1, T_arg2 >::type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2 )
| inline

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 1st argument.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

## ◆ operator()() [4/7]

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type< T_arg1, T_arg2, T_arg3 >::type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3 )
| inline

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 1st argument.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

## ◆ operator()() [5/7]

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4 )
| inline

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 1st argument.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

## ◆ operator()() [6/7]

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5 )
| inline

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 1st argument.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
  _A_arg5 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

## ◆ operator()() [7/7]

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5,
|  | T_arg6 | _A_arg6 )
| inline

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 1st argument.

Parameters

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
  _A_arg5 | Argument to be passed on to the functor.
  _A_arg6 | Argument to be passed on to the functor.

Returns
  The return value of the functor invocation.

## Member Data Documentation

## ◆ bound_

template <class T_functor, class T_bound>

bound_argument<T_bound> sigc::bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >::bound_

The argument bound to the functor.